aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'templates/tatt_functions.sh')
-rw-r--r--templates/tatt_functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/templates/tatt_functions.sh b/templates/tatt_functions.sh
index 75f6ba4..0e95e9a 100644
--- a/templates/tatt_functions.sh
+++ b/templates/tatt_functions.sh
@@ -46,9 +46,9 @@ function tatt_test_pkg
{
if [ "${1:?}" == "--test" ]; then
shift
- if ! emerge --onlydeps -1 --with-test-deps ${TATT_EMERGEOPTS} "${1:?}"; then
+ if ! emerge --onlydeps -q1 --with-test-deps ${TATT_EMERGEOPTS} "${1:?}"; then
echo "merging test dependencies of ${1} failed" >> "${TATT_REPORTFILE}"
- return 0
+ return 1
fi
TFEATURES="${FEATURES} test"
else